public class RFIDDisplayDeamon extends Thread {
    
    Command[] fcommands;
    int fdelayFactor;
    
    public RFIDDisplayDeamon(Command[] commands, int delayFactor) {
        fcommands = commands;
        fdelayFactor = delayFactor;
    }
    
    public void delay() {
        try {
            this.sleep(fdelayFactor);
        }catch (Exception e) {
            e.printStackTrace();
        }        
    }
    
    public void run () {
        delay();
        for (int i=0; i<fcommands.length; i++) {
            fcommands[i].doMy();
            delay();
        }  
        delay();
    }
}
